com.h3c.sdn.auditlog

## Class AuditLogFilter

- java.lang.Object
- - com.h3c.sdn.BaseFilter
  - - com.h3c.sdn.auditlog.AuditLogFilter

-     public class AuditLogFilter
      extends BaseFilter

  Filters for the Audit Log Entry. Appropriate conditions are defined for the attributes associated with Audit Log Entry data.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuditLogFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `EqualityCondition<String>` | `getActivityCondition()` Returns the `EqualityCondition` filter that has been defined for filtering based on the activity
    `EqualityCondition<String>` | `getUserCondition()` Returns the `EqualityCondition` filter that has been defined for filtering based on the user
    `int` | `hashCode()`
    `void` | `setActivityCondition(String activityString)` Sets the activity string to be matched against
    `void` | `setUserCondition(String userCondition)` Sets the user string to be matched against

    - ### Methods inherited from class com.h3c.sdn.BaseFilter

      `getSysIdCondition, getTimestampCondition, setSysIdCondition, setSysIdCondition, setTimestampCondition, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuditLogFilter

          public AuditLogFilter()

  - ### Method Detail

    - #### getUserCondition

          public EqualityCondition<String> getUserCondition()

      Returns the `EqualityCondition` filter that has been defined for filtering based on the user
      Returns:
        the `EqualityCondition` for filtering based on the Audit Log Entry user

    - #### setUserCondition

          public void setUserCondition(String userCondition)

      Sets the user string to be matched against
      Parameters:
        `userCondition` - the `EqualityCondition` filter to be used on the Audit Log Entry user

    - #### getActivityCondition

          public EqualityCondition<String> getActivityCondition()

      Returns the `EqualityCondition` filter that has been defined for filtering based on the activity
      Returns:
        the `EqualityCondition` for filtering based on the Audit Log Entry activity

    - #### setActivityCondition

          public void setActivityCondition(String activityString)

      Sets the activity string to be matched against
      Parameters:
        `activityString` - the string representation of the Audit Log Entry activity to filter on. An `EqualityCondition` will be created for an exact match filter against the supplied parameter

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseFilter`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `BaseFilter`

Copyright © 2014. All Rights Reserved.